List a member's issued reward wallet
curl --request POST \
--url https://loyalty.example.com/lip/v1/issued-rewards/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"member_id": "<string>",
"program_id": "<string>",
"statuses": [
"<string>"
]
}
'import requests
url = "https://loyalty.example.com/lip/v1/issued-rewards/list"
payload = {
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"idempotency_key": "<string>",
"occurred_at": "2023-11-07T05:31:56Z",
"source": {
"system": "<string>",
"instance": "<string>"
}
},
"member_id": "<string>",
"program_id": "<string>",
"statuses": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
context: {
protocol_version: '<string>',
profile: '<string>',
request_id: '<string>',
idempotency_key: '<string>',
occurred_at: '2023-11-07T05:31:56Z',
source: {system: '<string>', instance: '<string>'}
},
member_id: '<string>',
program_id: '<string>',
statuses: ['<string>']
})
};
fetch('https://loyalty.example.com/lip/v1/issued-rewards/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"context": {
"protocol_version": "<string>",
"profile": "<string>",
"request_id": "<string>",
"processed_at": "2023-11-07T05:31:56Z"
},
"issued_rewards": [
{
"issued_reward_id": "<string>",
"member_id": "<string>",
"program_id": "<string>",
"reward_id": "<string>",
"status": "<string>",
"issued_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"redeemed_at": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"artifact": {
"type": "<string>",
"value": "<string>"
}
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"detail": "<string>",
"instance": "<string>",
"code": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}Issued Rewards
List a member's issued reward wallet
POST
/
issued-rewards
/
list
List a member's issued reward wallet
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Opaque, stable identifier within the owning system.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9][A-Za-z0-9._:-]*$Minimum array length:
1Allowed value:
"issued"Credit or debit points with an operator classificationIssue a member-specific reward or coupon artifact
⌘I